認証
ベアラー トークンとして API キーを送信します。このエンドポイントでは仕様に特定の権限が記載されていないため、キーに必要な最小限の権限を付与し、推測するのではなくレスポンスを確認してください。
組織 ID を入力する場所
このエンドポイントはクエリパラメータとして org_id を受け取ります。省略した場合はテナントサブツリー全体が対象になり、指定した場合は特定の組織のみに絞り込まれます。
組織IDは、ダッシュボードのAPIキー画面にキーのすぐ横に表示されています。これは、実行するすべての呼び出しで同じIDになります。
試してみる
アングルブラケット内のすべてをご自身の値に置き換え、キーのプレースホルダーをご利用中のダッシュボードのキーに置き換えてください。
curl -X POST https://api.zinndigital.com/v1/agency-invoicing/tax-rates \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ }'ログインしていますか?ダッシュボード内のAPIコンソールでは、実際の組織IDやお客様ご自身のキーが自動入力され、ライブAPIに対してリクエストが実行されるため、実際のレスポンスを確認することができます。 API コンソールでこのエンドポイントを開く
パラメータ
| 名前 | タイプ | 必須 | これがその内容です |
|---|---|---|---|
org_id (query) | Uuid | いいえ | Which of your organizations is invoicing. Required only when you belong to more than one — otherwise it is inferred from your DIRECT membership, never from the subtree-expanded… |
リクエスト本文
| 名前 | タイプ | 必須 | これがその内容です |
|---|---|---|---|
name | string | いいえ | — |
rate_bps | integer | いいえ | — |
registration_number | string | いいえ | — |
note | string | いいえ | — |
is_default | boolean | いいえ | — |
返信
| 名前 | タイプ | 必須 | これがその内容です |
|---|---|---|---|
id | Uuid | はい | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
name | string | はい | What the document calls it. ⛔ Free text, not an enum: the line must read "VAT", "MwSt.", "TVA" or "Sales tax" depending on who is being invoiced. |
rate_bps | integer | はい | — |
registration_number | string | いいえ | — |
note | string | いいえ | — |
is_default | boolean | いいえ | — |
このエンドポイントが返すエラー
401 · 403 · 404 · 422 · 429